### Method

# Gio SettingsSchemaSource lookup

since: 2.32

#### Declaration

    GSettingsSchema*
    g_settings_schema_source_lookup (
      GSettingsSchemaSource* source,
      const gchar* schema_id,
      gboolean recursive
    )

#### Description

Looks up a schema with the identifier `schema_id` in `source`.

This function is not required for normal uses of `GSettings` but it may be useful to authors of plugin management systems or to those who want to introspect the content of schemas.

If the schema isn’t found directly in `source` and `recursive` is `TRUE` then the parent sources will also be checked.

If the schema isn’t found, `NULL` is returned.

Available since: 2.32

#### Parameters

`schema_id`

  Type: `const gchar*`

  A schema ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`recursive`

  Type: `gboolean`

  `TRUE` if the lookup should be recursive.

#### Return value

Type: `GSettingsSchema`

A new `GSettingsSchema`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.